RegionConfig.Index (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class RegionConfig.Index

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionConfig.Index

- All Implemented Interfaces:
    Serializable, Identifiable<String>
  Enclosing class:
    RegionConfig

      public static class RegionConfig.Index
      extends Object
      implements Identifiable<String>

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice minOccurs="0">
               <element name="functional">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="expression" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="from-clause" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="imports" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="primary-key">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="field" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="expression" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="from-clause" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="imports" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="key-index" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="type" default="range">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="range"/>
                   <enumeration value="hash"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `expression`
    `protected String` | `fromClause`
    `protected String` | `imports`
    `protected Boolean` | `keyIndex`
    `protected String` | `name`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Index()`
    `Index(RegionConfig.Index index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExpression()` Gets the value of the expression property.
    `String` | `getFromClause()` Gets the value of the fromClause property.
    `String` | `getId()` Gets the identifier uniquely identifying this Object instance.
    `String` | `getImports()` Gets the value of the imports property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getType()` Gets the value of the type property.
    `Boolean` | `isKeyIndex()` Gets the value of the keyIndex property.
    `void` | `setExpression(String value)` Sets the value of the expression property.
    `void` | `setFromClause(String value)` Sets the value of the fromClause property.
    `void` | `setImports(String value)` Sets the value of the imports property.
    `void` | `setKeyIndex(Boolean value)` Sets the value of the keyIndex property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setType(String type)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `exists, find, remove`

- - ### Field Detail

    - #### name

          protected String name

    - #### expression

          protected String expression

    - #### fromClause

          protected String fromClause

    - #### imports

          protected String imports

    - #### keyIndex

          protected Boolean keyIndex

    - #### type

          protected String type

  - ### Constructor Detail

    - #### Index

          public Index()

    - #### Index

          public Index(RegionConfig.Index index)

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the value of the name property. possible object is `String`
      Returns:
        the value of the name property

    - #### setName

          public void setName(String value)

      Sets the value of the name property. allowed object is `String`
      Parameters:
        `value` - the value of the name property

    - #### getExpression

          public String getExpression()

      Gets the value of the expression property. possible object is `String`
      Returns:
        the value of the expression property

    - #### setExpression

          public void setExpression(String value)

      Sets the value of the expression property. allowed object is `String`
      Parameters:
        `value` - the value of the expression property

    - #### getFromClause

          public String getFromClause()

      Gets the value of the fromClause property. possible object is `String`
      Returns:
        the value of the fromClause property

    - #### setFromClause

          public void setFromClause(String value)

      Sets the value of the fromClause property. allowed object is `String`
      Parameters:
        `value` - the value of the fromClause property

    - #### getImports

          public String getImports()

      Gets the value of the imports property. possible object is `String`
      Returns:
        the value of the imports property

    - #### setImports

          public void setImports(String value)

      Sets the value of the imports property. allowed object is `String`
      Parameters:
        `value` - the value of the imports property

    - #### isKeyIndex

          public Boolean isKeyIndex()

      Gets the value of the keyIndex property. possible object is `Boolean`
      Returns:
        the value of the keyIndex property

    - #### setKeyIndex

          public void setKeyIndex(Boolean value)

      Sets the value of the keyIndex property. allowed object is `Boolean`
      Parameters:
        `value` - the value of the keyIndex property

    - #### getType

          public String getType()

      Gets the value of the type property. possible object is `String`
      Returns:
        the value of the type property

    - #### setType

          public void setType(String type)

      Sets the value of the type property. Also sets the keyIndex property to true if the type being set is `"key"`.
      Parameters:
        `type` - the value of the type property
      Throws:
        `IllegalArgumentException` - if type is unknown

    - #### getId

          public String getId()

      Description copied from interface: `Identifiable`
      Gets the identifier uniquely identifying this Object instance.

      Specified by:
        `getId` in interface `Identifiable<String>`
      Returns:
        an identifier uniquely identifying this Object.